summaryrefslogtreecommitdiffstats
path: root/system/gentoo
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2022-04-11 20:29:38 -0400
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-16 12:11:21 +0700
commit13f49da67f0081f2448f16834f043bed5eba18be (patch)
tree8afa8ae72b927be203f454114ad31a04887a0b9b /system/gentoo
parentb072333aadaddac0f565fd2ee720bb58cac622e9 (diff)
downloadslackbuilds-13f49da67f0081f2448f16834f043bed5eba18be.tar.gz
slackbuilds-13f49da67f0081f2448f16834f043bed5eba18be.tar.xz
system/gentoo: Fix icon and .desktop.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/gentoo')
-rw-r--r--system/gentoo/gentoo.SlackBuild21
-rw-r--r--system/gentoo/gentoo.desktop3
2 files changed, 12 insertions, 12 deletions
diff --git a/system/gentoo/gentoo.SlackBuild b/system/gentoo/gentoo.SlackBuild
index 1423addfb8..3d205fc993 100644
--- a/system/gentoo/gentoo.SlackBuild
+++ b/system/gentoo/gentoo.SlackBuild
@@ -22,11 +22,15 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220411 bkw: Modified by SlackBuilds.org, BUILD=2:
+# - fix icon (it's a .png, don't call it gentoo.svg).
+# - abs path to icon in .desktop file.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=gentoo
VERSION=${VERSION:-0.20.7}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -38,9 +42,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -75,9 +76,9 @@ cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -91,10 +92,10 @@ CXXFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux
make
-make install DESTDIR=$PKG
+make install-strip DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+#find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ #| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG -name perllocal.pod \
-o -name ".packlist" \
@@ -105,7 +106,7 @@ mkdir -p $PKG/usr/share/applications
install -D -m644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
mkdir -p $PKG/usr/share/pixmaps/
-install -D -m644 icons/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.svg
+install -D -m644 icons/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
diff --git a/system/gentoo/gentoo.desktop b/system/gentoo/gentoo.desktop
index 0f9e7a5698..cf9657d719 100644
--- a/system/gentoo/gentoo.desktop
+++ b/system/gentoo/gentoo.desktop
@@ -3,9 +3,8 @@ Name=File Manager (gentoo)
Name[he]= getnoo
Comment=gentoo is a free file manager for Linux
Exec=gentoo
-Icon=gentoo
+Icon=/usr/share/pixmaps/gentoo.png
Terminal=false
Type=Application
Categories=System;FileManager
GenericName=FileManager
-